Bug 1234572 - Package should not ship a separate emacs sub-package
Summary: Package should not ship a separate emacs sub-package
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnu-smalltalk
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: mk
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: EmacsPackagingViolations
TreeView+ depends on / blocked
 
Reported: 2015-06-22 17:53 UTC by Jonathan Underwood
Modified: 2016-11-25 18:09 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-25 18:09:58 UTC


Attachments (Terms of Use)

Description Jonathan Underwood 2015-06-22 17:53:55 UTC
The Emacs add-on packaging guidelines no longer stipulate that packages which also bundle support for Emacs should split out those Emacs files into separate sub-packages. This package should instead ship those files with the main package which should also Require emacs-filesystem. See https://fedoraproject.org/wiki/Packaging:Emacs for more detail.

Comment 1 Jan Kurik 2015-07-15 13:56:05 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 2 Fedora Admin XMLRPC Client 2016-08-22 19:34:28 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Fedora End Of Life 2016-11-24 11:56:45 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Orion Poplawski 2016-11-24 17:11:43 UTC
Marcus - are you still around?

Comment 5 mk 2016-11-24 22:33:51 UTC
Hi Orion, I am. I'll make a patch for this for rawhide.

Comment 6 mk 2016-11-25 18:09:58 UTC
This bug is fixed in commit 2e1016b [1] and should now be available in rawhide.

[1] http://pkgs.fedoraproject.org/cgit/rpms/gnu-smalltalk.git/commit/?id=2e1016b4eaf6ac4a175701084d94365189163e01


Note You need to log in before you can comment on or make changes to this bug.